org.apache.olingo.odata2.api.annotation.edm

## Annotation Type EdmFunctionImportParameter

-     @Retention(value=RUNTIME)
       @Target(value=PARAMETER)
      public @interface EdmFunctionImportParameter

  Annotation for definition of an EdmFunctionImportParameter for an EdmFunctionImport which contains the EdmFunctionImportParameter as a parameter.

  The EdmProperty annotation has to be used on a parameter within a EdmFunctionImport annotated method.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name` Define the name for the Function Import Parameter.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `EdmFacets` | `facets` Define the EdmFacets for the Function Import Parameter in the EDM.
    `EdmType` | `type` Define the EdmSimpleType which is used for the Function Import Parameter in the EDM.

- - ### Element Detail

    - #### name

          public abstract String name

      Define the name for the Function Import Parameter. If not set a default value has to be generated by the EDM provider.
      Returns:
        name for the Function Import Parameter

  - - #### type

          public abstract EdmType type

      Define the EdmSimpleType which is used for the Function Import Parameter in the EDM.

      If not explicit set a default value has to be generated by the EDM provider (which should be compatible to the java type of the annotated field).

      If the property is a simple property a EdmSimpleType must be used which can be mapped to the java type of the annotated field. Which mappings are available depends on the used implementation.

      If the property is a EdmComplexType (and no EdmSimpleType) the type `COMPLEX` must be used.

      Returns:
        type for the Function Import Parameter as used in the EDM
      Default:
        org.apache.olingo.odata2.api.annotation.edm.EdmType.NULL

  - - #### facets

          public abstract EdmFacets facets

      Define the EdmFacets for the Function Import Parameter in the EDM. If not set the default EdmFacet values are used (see `EdmFacets`).
      Returns:
        facets for the Function Import Parameter as used in the EDM
      Default:
        @org.apache.olingo.odata2.api.annotation.edm.EdmFacets

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.